Skip to main content
GET
/
coins
/
{id}
/
total_supply_chart
Total Supply Chart by ID
curl --request GET \
  --url https://pro-api.coingecko.com/api/v3/coins/{id}/total_supply_chart \
  --header 'x-cg-pro-api-key: <api-key>'
{
  "total_supply": [
    [
      1779700797940,
      "20034078.0"
    ],
    [
      1779701097614,
      "20034078.0"
    ],
    [
      1779701399178,
      "20034078.0"
    ]
  ]
}

Notes

  • Auto-granularity when interval is not specified:
    • 1 day = 5-minutely data
    • 2–90 days = hourly data
    • 91 days and above = daily data (00:00 UTC)
  • Data available from 22 June 2019 onwards.
The last completed UTC day (00:00) is available 35 minutes after midnight (00:35 UTC).

SDK Examples

const response = await client.coins.totalSupplyChart.get('bitcoin', {
  days: '1',
});

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-pro-api-key
string
header
required

Path Parameters

id
string
default:bitcoin
required

Coin ID. *refers to /coins/list.

Query Parameters

days
string
default:1
required

Data up to number of days ago. Valid values: any integer or max.

interval
enum<string>

Data interval.

Available options:
daily

Response

200 - application/json

Historical total supply chart data

total_supply
((number | string)[])[]
required

Total supply data points as [timestamp, supply] pairs